
//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.66-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1306
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PD6
// SDA    PD7
// RES    PD4
// DC     PD5
// CS     PD3 




#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
 int main(void)
 {	u8 t;
		delay_init();	    	   
		NVIC_Configuration(); 	
		OLED_Init();			  
		OLED_Clear()  	; 


	while(1) 
	{		
		OLED_Clear();
	 

    OLED_ShowCHinese(0,0,0);//
		OLED_ShowCHinese(16,0,1);//
		OLED_ShowCHinese(32,0,2);//
		OLED_ShowCHinese(48,0,3);//		
		

		OLED_ShowString(16,2,"0.66");
		OLED_ShowString(0,4,"OLEDTEST");delay_ms(8000);
			OLED_Clear();
		OLED_DrawBMP(0,0,64,6,BMP1); 
		delay_ms(8000);
	}	  
	
}

